# these are scraped from NIST
# maps (atomic number, atomic weight) to abundance (abundances for an element sum to 1)
const isotopic_abundances = Dict((1, 1) => 0.999885,
                                 (1, 2) => 0.000115,
                                 (2, 3) => 1.34e-6,
                                 (2, 4) => 0.99999866,
                                 (3, 6) => 0.0759,
                                 (3, 7) => 0.9241,
                                 (4, 9) => 1.0,
                                 (5, 10) => 0.199,
                                 (5, 11) => 0.801,
                                 (6, 12) => 0.9893,
                                 (6, 13) => 0.0107,
                                 (7, 14) => 0.99636,
                                 (7, 15) => 0.00364,
                                 (8, 16) => 0.99757,
                                 (8, 17) => 0.00038,
                                 (8, 18) => 0.00205,
                                 (9, 19) => 1.0,
                                 (10, 20) => 0.9048,
                                 (10, 21) => 0.0027,
                                 (10, 22) => 0.0925,
                                 (11, 23) => 1.0,
                                 (12, 24) => 0.7899,
                                 (12, 25) => 0.1,
                                 (12, 26) => 0.1101,
                                 (13, 27) => 1.0,
                                 (14, 28) => 0.92223,
                                 (14, 29) => 0.04685,
                                 (14, 30) => 0.03092,
                                 (15, 31) => 1.0,
                                 (16, 32) => 0.9499,
                                 (16, 33) => 0.0075,
                                 (16, 34) => 0.0425,
                                 (16, 36) => 0.0001,
                                 (17, 35) => 0.7576,
                                 (17, 37) => 0.2424,
                                 (18, 36) => 0.003336,
                                 (18, 38) => 0.000629,
                                 (18, 40) => 0.996035,
                                 (19, 39) => 0.932581,
                                 (19, 40) => 0.000117,
                                 (19, 41) => 0.067302,
                                 (20, 40) => 0.96941,
                                 (20, 42) => 0.00647,
                                 (20, 43) => 0.00135,
                                 (20, 44) => 0.02086,
                                 (20, 46) => 4.0e-5,
                                 (20, 48) => 0.00187,
                                 (21, 45) => 1.0,
                                 (22, 46) => 0.0825,
                                 (22, 47) => 0.0744,
                                 (22, 48) => 0.7372,
                                 (22, 49) => 0.0541,
                                 (22, 50) => 0.0518,
                                 (23, 50) => 0.0025,
                                 (23, 51) => 0.9975,
                                 (24, 50) => 0.04345,
                                 (24, 52) => 0.83789,
                                 (24, 53) => 0.09501,
                                 (24, 54) => 0.02365,
                                 (25, 55) => 1.0,
                                 (26, 54) => 0.05845,
                                 (26, 56) => 0.91754,
                                 (26, 57) => 0.02119,
                                 (26, 58) => 0.00282,
                                 (27, 59) => 1.0,
                                 (28, 58) => 0.68077,
                                 (28, 60) => 0.26223,
                                 (28, 61) => 0.011399,
                                 (28, 62) => 0.036346,
                                 (28, 64) => 0.009255,
                                 (29, 63) => 0.6915,
                                 (29, 65) => 0.3085,
                                 (30, 64) => 0.4917,
                                 (30, 66) => 0.2773,
                                 (30, 67) => 0.0404,
                                 (30, 68) => 0.1845,
                                 (30, 70) => 0.0061,
                                 (31, 69) => 0.60108,
                                 (31, 71) => 0.39892,
                                 (32, 70) => 0.2057,
                                 (32, 72) => 0.2745,
                                 (32, 73) => 0.0775,
                                 (32, 74) => 0.365,
                                 (32, 76) => 0.0773,
                                 (33, 75) => 1.0,
                                 (34, 74) => 0.0089,
                                 (34, 76) => 0.0937,
                                 (34, 77) => 0.0763,
                                 (34, 78) => 0.2377,
                                 (34, 80) => 0.4961,
                                 (34, 82) => 0.0873,
                                 (35, 79) => 0.5069,
                                 (35, 81) => 0.4931,
                                 (36, 78) => 0.00355,
                                 (36, 80) => 0.02286,
                                 (36, 82) => 0.11593,
                                 (36, 83) => 0.115,
                                 (36, 84) => 0.56987,
                                 (36, 86) => 0.17279,
                                 (37, 85) => 0.7217,
                                 (37, 87) => 0.2783,
                                 (38, 84) => 0.0056,
                                 (38, 86) => 0.0986,
                                 (38, 87) => 0.07,
                                 (38, 88) => 0.8258,
                                 (39, 89) => 1.0,
                                 (40, 90) => 0.5145,
                                 (40, 91) => 0.1122,
                                 (40, 92) => 0.1715,
                                 (40, 94) => 0.1738,
                                 (40, 96) => 0.028,
                                 (41, 93) => 1.0,
                                 (42, 92) => 0.1453,
                                 (42, 94) => 0.0915,
                                 (42, 95) => 0.1584,
                                 (42, 96) => 0.1667,
                                 (42, 97) => 0.096,
                                 (42, 98) => 0.2439,
                                 (42, 100) => 0.0982,
                                 (44, 96) => 0.0554,
                                 (44, 98) => 0.0187,
                                 (44, 99) => 0.1276,
                                 (44, 100) => 0.126,
                                 (44, 101) => 0.1706,
                                 (44, 102) => 0.3155,
                                 (44, 104) => 0.1862,
                                 (45, 103) => 1.0,
                                 (46, 102) => 0.0102,
                                 (46, 104) => 0.1114,
                                 (46, 105) => 0.2233,
                                 (46, 106) => 0.2733,
                                 (46, 108) => 0.2646,
                                 (46, 110) => 0.1172,
                                 (47, 107) => 0.51839,
                                 (47, 109) => 0.48161,
                                 (48, 106) => 0.0125,
                                 (48, 108) => 0.0089,
                                 (48, 110) => 0.1249,
                                 (48, 111) => 0.128,
                                 (48, 112) => 0.2413,
                                 (48, 113) => 0.1222,
                                 (48, 114) => 0.2873,
                                 (48, 116) => 0.0749,
                                 (49, 113) => 0.0429,
                                 (49, 115) => 0.9571,
                                 (50, 112) => 0.0097,
                                 (50, 114) => 0.0066,
                                 (50, 115) => 0.0034,
                                 (50, 116) => 0.1454,
                                 (50, 117) => 0.0768,
                                 (50, 118) => 0.2422,
                                 (50, 119) => 0.0859,
                                 (50, 120) => 0.3258,
                                 (50, 122) => 0.0463,
                                 (50, 124) => 0.0579,
                                 (51, 121) => 0.5721,
                                 (51, 123) => 0.4279,
                                 (52, 120) => 0.0009,
                                 (52, 122) => 0.0255,
                                 (52, 123) => 0.0089,
                                 (52, 124) => 0.0474,
                                 (52, 125) => 0.0707,
                                 (52, 126) => 0.1884,
                                 (52, 128) => 0.3174,
                                 (52, 130) => 0.3408,
                                 (53, 127) => 1.0,
                                 (54, 124) => 0.000952,
                                 (54, 126) => 0.00089,
                                 (54, 128) => 0.019102,
                                 (54, 129) => 0.264006,
                                 (54, 130) => 0.04071,
                                 (54, 131) => 0.212324,
                                 (54, 132) => 0.269086,
                                 (54, 134) => 0.104357,
                                 (54, 136) => 0.088573,
                                 (55, 133) => 1.0,
                                 (56, 130) => 0.00106,
                                 (56, 132) => 0.00101,
                                 (56, 134) => 0.02417,
                                 (56, 135) => 0.06592,
                                 (56, 136) => 0.07854,
                                 (56, 137) => 0.11232,
                                 (56, 138) => 0.71698,
                                 (57, 138) => 0.0008881,
                                 (57, 139) => 0.9991119,
                                 (58, 136) => 0.00185,
                                 (58, 138) => 0.00251,
                                 (58, 140) => 0.8845,
                                 (58, 142) => 0.11114,
                                 (59, 141) => 1.0,
                                 (60, 142) => 0.27152,
                                 (60, 143) => 0.12174,
                                 (60, 144) => 0.23798,
                                 (60, 145) => 0.08293,
                                 (60, 146) => 0.17189,
                                 (60, 148) => 0.05756,
                                 (60, 150) => 0.05638,
                                 (62, 144) => 0.0307,
                                 (62, 147) => 0.1499,
                                 (62, 148) => 0.1124,
                                 (62, 149) => 0.1382,
                                 (62, 150) => 0.0738,
                                 (62, 152) => 0.2675,
                                 (62, 154) => 0.2275,
                                 (63, 151) => 0.4781,
                                 (63, 153) => 0.5219,
                                 (64, 152) => 0.002,
                                 (64, 154) => 0.0218,
                                 (64, 155) => 0.148,
                                 (64, 156) => 0.2047,
                                 (64, 157) => 0.1565,
                                 (64, 158) => 0.2484,
                                 (64, 160) => 0.2186,
                                 (65, 159) => 1.0,
                                 (66, 156) => 0.00056,
                                 (66, 158) => 0.00095,
                                 (66, 160) => 0.02329,
                                 (66, 161) => 0.18889,
                                 (66, 162) => 0.25475,
                                 (66, 163) => 0.24896,
                                 (66, 164) => 0.2826,
                                 (67, 165) => 1.0,
                                 (68, 162) => 0.00139,
                                 (68, 164) => 0.01601,
                                 (68, 166) => 0.33503,
                                 (68, 167) => 0.22869,
                                 (68, 168) => 0.26978,
                                 (68, 170) => 0.1491,
                                 (69, 169) => 1.0,
                                 (70, 168) => 0.00123,
                                 (70, 170) => 0.02982,
                                 (70, 171) => 0.1409,
                                 (70, 172) => 0.2168,
                                 (70, 173) => 0.16103,
                                 (70, 174) => 0.32026,
                                 (70, 176) => 0.12996,
                                 (71, 175) => 0.97401,
                                 (71, 176) => 0.02599,
                                 (72, 174) => 0.0016,
                                 (72, 176) => 0.0526,
                                 (72, 177) => 0.186,
                                 (72, 178) => 0.2728,
                                 (72, 179) => 0.1362,
                                 (72, 180) => 0.3508,
                                 (73, 180) => 0.0001201,
                                 (73, 181) => 0.9998799,
                                 (74, 180) => 0.0012,
                                 (74, 182) => 0.265,
                                 (74, 183) => 0.1431,
                                 (74, 184) => 0.3064,
                                 (74, 186) => 0.2843,
                                 (75, 185) => 0.374,
                                 (75, 187) => 0.626,
                                 (76, 184) => 0.0002,
                                 (76, 186) => 0.0159,
                                 (76, 187) => 0.0196,
                                 (76, 188) => 0.1324,
                                 (76, 189) => 0.1615,
                                 (76, 190) => 0.2626,
                                 (76, 192) => 0.4078,
                                 (77, 191) => 0.373,
                                 (77, 193) => 0.627,
                                 (78, 190) => 0.00012,
                                 (78, 192) => 0.00782,
                                 (78, 194) => 0.3286,
                                 (78, 195) => 0.3378,
                                 (78, 196) => 0.2521,
                                 (78, 198) => 0.07356,
                                 (79, 197) => 1.0,
                                 (80, 196) => 0.0015,
                                 (80, 198) => 0.0997,
                                 (80, 199) => 0.1687,
                                 (80, 200) => 0.231,
                                 (80, 201) => 0.1318,
                                 (80, 202) => 0.2986,
                                 (80, 204) => 0.0687,
                                 (81, 203) => 0.2952,
                                 (81, 205) => 0.7048,
                                 (82, 204) => 0.014,
                                 (82, 206) => 0.241,
                                 (82, 207) => 0.221,
                                 (82, 208) => 0.524,
                                 (83, 209) => 1.0,
                                 (90, 232) => 1.0,
                                 (91, 231) => 1.0,
                                 (92, 234) => 5.4e-5,
                                 (92, 235) => 0.007204,
                                 (92, 238) => 0.992742)
      